Last modified: 2011-10-17 09:38:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30729 - Not all numbers are localised in AbuseFilter
Not all numbers are localised in AbuseFilter
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
AbuseFilter (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Srikanth Logic
: i18n, patch
Depends on:
Blocks: 18521
  Show dependency treegraph
 
Reported: 2011-09-03 13:17 UTC by reza1615
Modified: 2011-10-17 09:38 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Fixes the non-localized numbers (1.20 KB, patch)
2011-09-18 16:58 UTC, Huji
Details

Description reza1615 2011-09-03 13:17:27 UTC
in fa.wiki abuse filter's raw numbers are in English would you please convert them to Persian one
http://fa.wikipedia.org/wiki/%D9%88%DB%8C%DA%98%D9%87:%D9%BE%D8%A7%D9%84%D8%A7%DB%8C%D9%87_%D8%AE%D8%B1%D8%A7%D8%A8%DA%A9%D8%A7%D8%B1%DB%8C
Comment 1 Niklas Laxström 2011-09-09 08:40:20 UTC
Should be just formatNum()s sprinkled in the code. Maybe the extension author could do it easily?
Comment 2 Siebrand Mazeland 2011-09-14 13:49:17 UTC
Shrikanth volunteered on this during bug triage. Brain has offered to mentor.
Comment 3 Huji 2011-09-18 16:58:45 UTC
Created attachment 9070 [details]
Fixes the non-localized numbers

Since the bug is already assigned to someone, I didn't commit the change but rather post it here to assist Srikanth with fixing the bug.
Comment 4 Srikanth Logic 2011-09-18 17:57:50 UTC
Thanks Huji. There are more places which needs the fix. I am hitting over AbuseFilterViewRevert.php for sometime now and hopefully get all of them soon.
Comment 5 Srikanth Logic 2011-09-20 19:38:57 UTC
Should the input also be modified to accept i18n numerals ? Special:AbuseFilter/test/ page has option to load a filter by ID.
Comment 6 Huji 2011-09-21 00:16:06 UTC
I don't think so. In other places where MediaWiki accepts numbers, it always expects them to be in English-style numerals. I think it is a good practice to stick to the tradition in extensions too.
Comment 7 Raimond Spekking 2011-10-17 09:38:38 UTC
Fixed with r100016. Sorry, I was not aware of this bug. It was not my intention to "steal" an easy bug from a novice developer.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links